library modular_system_core;

// infra
export './src/models.dart';
export './src//controller/app_controller.dart';
export './src/widget/widgets.dart';
export './src/app_viewmodel.dart';
// utils
export 'package:flutter_spinkit/flutter_spinkit.dart';
export 'package:http/http.dart';
export './lorem_ipsum.dart';
export './src/color_schemes.dart';

typedef ObjectCreator<T> = T Function();
typedef JsonObjectCreator<T> = T Function(Map<String, dynamic> jsonMap);
